package com.kdm.erraiexample.server;

import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;
import javax.ws.rs.core.Context;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.kdm.erraiexample.shared.SearchService;
import com.kdm.provider.data.Detail;
import com.kdm.provider.data.Facet;
import com.kdm.provider.data.FacetEntry;
import com.kdm.provider.data.Field;
import com.kdm.provider.data.SearchResult;

public class SearchServiceImpl implements SearchService
{
  private static final Logger log = LoggerFactory.getLogger(SearchServiceImpl.class);

  @Context
  private HttpServletRequest request;

  @Override
  public SearchResult search(String cmd)
  {
    log.info("Searching for:'" + cmd + "'");
    ArrayList<Detail> details = new ArrayList<Detail>();
    Detail pj1 = new Detail("hello111 GET");
    Detail pj2 = new Detail("hello222 GET");
    Detail pj3 = new Detail("hello333 GET");
    details.add(pj1);
    details.add(pj2);
    details.add(pj3);
    SearchResult result = new SearchResult();
    result.getDetails().add(pj1);
    result.getDetails().add(pj2);
    
    FacetEntry entry = new FacetEntry("key", 1234L);
    ArrayList <FacetEntry> facetEntries = new ArrayList <FacetEntry>();
    facetEntries.add(entry);
    
    Facet facet = new Facet(Field.DIMENSION,1111L,facetEntries);
    ArrayList <Facet> facets = new ArrayList<Facet>();
    facets.add(facet);
    result.setFacets(facets);
    
    return result;
  }

}
